# DataViewsJS

This package is part of the [GrapeCity DataViewsJS](https://www.grapecity.com/dataviewsjs?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=dataviews1) library, providing a data presentation component for JavaScript.

This JavaScript data presentation component supports different visual controls, such as Horizontal Grids, Card Views, Masonry, Kanban Boards, Timelines, Calendars, and Gantt Charts.
In addition to pure JS, DataViewsJS supports different frameworks, including Angular, React, and Vue.
With features like a standalone calculation engine, server-side loading, and localization, DataViewsJS can solve all of your data visualization needs.

![DVJS](https://grapecitycontentcdn.azureedge.net/external/dvjs/npm/DVJS_overlayed-shots.jpg)

## Samples

To quickly jump in, check out an on-line version of our [control and feature samples](https://www.grapecity.com/dataviewsjs/demos/?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=demos).

## Installation

### To install latest release version:

```sh
npm install @grapecity/dataviews.angular10
```

## Documentation

On-line documentation is available here:

[API Reference](https://www.grapecity.com/dataviewsjs/api/?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=api)

[Documentation Guides](https://www.grapecity.com/dataviewsjs/docs/?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=docs)

## Licensing

DataViewsJS is commercially licensed per deployment hostname. Developer licenses are free.

Read more about [GrapeCity Licensing](https://www.grapecity.com/licensing/grapecity/?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=licensing).

## Getting more help

Visit the DataViewsJS home page to get more info about our library including demos and features:

[https://www.grapecity.com/dataviewsjs](https://www.grapecity.com/dataviewsjs?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=dataviews2)

You can ask any question about DataViewsJS or report a bug using the [product forum page](https://www.grapecity.com/forums/dataviewsjs?utm_source=dataviewsjsnpm&utm_medium=npm&utm_campaign=dataviewsjsnpm&utm_content=forums).
